<h1>UnetU Photon-Counting CT Denoising</h1>
<p>This repository demonstrates the implementation of the UnetU approach for photon-counting CT (PCCT) denoising. Unlike conventional convolutional neural network denoising, UnetU combines a 4-level U-net with novel input preprocessing and a complex loss function to enable accurate denoising at a variety of PCCT energy threshold settings. This work is described in the following paper:</p>
<p>Nadkarni, R.; Clark, D.P.; Allphin, A.J.; Badea, C.T. A Deep Learning Approach for Rapid and Generalizable Denoising of Photon-Counting Micro-CT Images. Tomography 2023, 9, 1286-1302. https://doi.org/10.3390/tomography9040102</p>
<p>The Python scripts <strong>train_UnetU.py</strong> and <strong>evaluate_UnetU.py</strong> show how to train the UnetU model and apply the trained model to denoise a wFBP reconstruction. The <strong>requirements.txt</strong> file specifies the Python libraries that need to be installed to run these scripts.</p>
<p>Due to storage limitations, we are unable to provide all training and testing set 4D image volumes used in the paper. However, we have provided the image volumes (with attenuation in units of voxels<sup>-1</sup>) from which the iterative RSKR images in <strong>Figure 9a</strong> and wFBP images in <strong>Figure 9b</strong> of the paper are derived. These volumes are in NIfTI format and can be visualized using the ImageJ software. The images in <strong>Figure 9a,b</strong> are from the 4th energy channel of these volumes and show a region of interest in the coronal view. In addition, this repository includes the pretrained UnetU model that can be used to generate the 4D image volumes from which the images in <strong>Figure 9e</strong> are derived.</p> 
<p>The complete figure, which also includes results from multi-energy non-local means denoising (<strong>9c</strong>), results from denoising with a conventional U-net approach called UnetwFBP (<strong>9d</strong>), and SSIM and PSNR values in the coronal slice relative to the 2700 projection iterative reconstruction (<strong>9f</strong>) is copied below:</p>
![Figure 9 from paper](Figure9.png)
